GET
/api/v1/images/os-category/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/images/os-category/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/images/os-category/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/images/os-category/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate the request
Example
<API_KEY>location
required
string
Location filter for OS Category queries
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
HTTP status code of the response
integer
data
object
category_list
Array<object>
object
OS
Operating system name for the category
string
version
Array<object>
object
number_of_domains
Number of domains associated with the version.
string
os
Operating system name for the version entry
string
version
Version identifier of the OS category
string
sub_category
Operating system sub-category name
string
software_version
Version identifier of the software
string
category
Array<string>
errors
object
message
Human-readable status message of the response
string
Example
{ "code": 200, "data": { "category_list": [ { "OS": "Ubuntu", "version": [ { "os": "Ubuntu", "version": "24.04", "sub_category": "Ubuntu", "software_version": "" } ], "category": [ "Linux Virtual Node" ] } ] }, "message": "Success"}